> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetches a list of TaskExecution.

> Fetch existing task executions matching input filters.



## OpenAPI

````yaml /api-specs/6.3/flyte-native-api.json get /api/v1/task_executions/{node_execution_id.execution_id.project}/{node_execution_id.execution_id.domain}/{node_execution_id.execution_id.name}/{node_execution_id.node_id}
openapi: 3.0.3
info:
  description: >-
    Reference for the upstream Flyte control plane API, which backs Domino
    Flows.
  title: Flyte native API
  version: version not set
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech/flows
security: []
tags:
  - name: Children
  - name: Data
  - name: Description entities
  - name: Domains
  - name: Events
  - name: Executions
  - name: Launch plans
  - name: Matchable attributes
  - name: Metrics
  - name: Named entities
  - name: Node executions
  - name: Project attributes
  - name: Project domain attributes
  - name: Projects
  - name: Task executions
  - name: Tasks
  - name: Version
  - name: Workflow attributes
  - name: Workflows
paths:
  /api/v1/task_executions/{node_execution_id.execution_id.project}/{node_execution_id.execution_id.domain}/{node_execution_id.execution_id.name}/{node_execution_id.node_id}:
    get:
      tags:
        - Task executions
      summary: Fetches a list of TaskExecution.
      description: Fetch existing task executions matching input filters.
      operationId: AdminService_ListTaskExecutions
      parameters:
        - description: Name of the project the resource belongs to.
          in: path
          name: node_execution_id.execution_id.project
          required: true
          schema:
            type: string
        - description: |-
            Name of the domain the resource belongs to.
            A domain can be considered as a subset within a specific project.
          in: path
          name: node_execution_id.execution_id.domain
          required: true
          schema:
            type: string
        - description: User or system provided value for the resource.
          in: path
          name: node_execution_id.execution_id.name
          required: true
          schema:
            type: string
        - in: path
          name: node_execution_id.node_id
          required: true
          schema:
            type: string
        - description: Optional, org key applied to the resource.
          in: query
          name: node_execution_id.execution_id.org
          required: false
          schema:
            type: string
        - description: |-
            Indicates the number of resources to be returned.
            +required
          in: query
          name: limit
          required: false
          schema:
            format: int64
            type: integer
        - description: >-
            In the case of multiple pages of results, the server-provided token
            can be used to fetch the next page

            in a query.

            +optional
          in: query
          name: token
          required: false
          schema:
            type: string
        - description: |-
            Indicates a list of filters passed as string.
            More info on constructing filters : <Link>
            +optional
          in: query
          name: filters
          required: false
          schema:
            type: string
        - description: |-
            Indicates an attribute to sort the response values.
            +required
          in: query
          name: sort_by.key
          required: false
          schema:
            type: string
        - description: |-
            Indicates the direction to apply sort key for response values.
            +optional

             - DESCENDING: By default, fields are sorted in descending order.
          in: query
          name: sort_by.direction
          required: false
          schema:
            default: DESCENDING
            enum:
              - DESCENDING
              - ASCENDING
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/adminTaskExecutionList'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
          description: An unexpected error response.
components:
  schemas:
    adminTaskExecutionList:
      properties:
        task_executions:
          items:
            $ref: '#/components/schemas/flyteidladminTaskExecution'
          type: array
        token:
          description: >-
            In the case of multiple pages of results, the server-provided token
            can be used to fetch the next page

            in a query. If there are no more results, this value will be empty.
          type: string
      title: |-
        Response structure for a query to list of task execution entities.
        See TaskExecution for more details
      type: object
    googlerpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    flyteidladminTaskExecution:
      description: >-
        Encapsulates all details for a single task execution entity.

        A task execution represents an instantiated task, including all inputs
        and additional

        metadata as well as computed results included state, outputs, and
        duration-based attributes.
      properties:
        closure:
          $ref: '#/components/schemas/adminTaskExecutionClosure'
        id:
          $ref: '#/components/schemas/coreTaskExecutionIdentifier'
        input_uri:
          description: Path to remote data store where input blob is stored.
          type: string
        is_parent:
          description: Whether this task spawned nodes.
          type: boolean
      type: object
    protobufAny:
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
      properties:
        '@type':
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
          type: string
      type: object
    adminTaskExecutionClosure:
      description: Container for task execution details and results.
      properties:
        created_at:
          description: Time at which the task execution was created.
          format: date-time
          type: string
        custom_info:
          description: Custom data specific to the task plugin.
          type: object
        duration:
          description: The amount of time the task execution spent running.
          type: string
        error:
          $ref: '#/components/schemas/coreExecutionError'
        event_version:
          description: >-
            The event version is used to indicate versioned changes in how data
            is maintained using this

            proto message. For example, event_verison > 0 means that maps tasks
            logs use the

            TaskExecutionMetadata ExternalResourceInfo fields for each subtask
            rather than the TaskLog

            in this message.
          format: int32
          type: integer
        log_context:
          $ref: '#/components/schemas/coreLogContext'
        logs:
          description: Detailed log information output by the task execution.
          items:
            $ref: '#/components/schemas/coreTaskLog'
          type: array
        metadata:
          $ref: '#/components/schemas/flyteidleventTaskExecutionMetadata'
        output_data:
          $ref: '#/components/schemas/coreLiteralMap'
        output_uri:
          description: >-
            Path to remote data store where output blob is stored if the
            execution succeeded (and produced outputs).

            DEPRECATED. Use GetTaskExecutionData to fetch output data instead.
          type: string
        phase:
          $ref: '#/components/schemas/coreTaskExecutionPhase'
        reason:
          description: >-
            If there is an explanation for the most recent phase transition, the
            reason will capture it.
          type: string
        reasons:
          description: >-
            A time-series of the phase transition or update explanations. This,
            when compared to storing a singular reason

            as previously done, is much more valuable in visualizing and
            understanding historical evaluations.
          items:
            $ref: '#/components/schemas/adminReason'
          type: array
        started_at:
          description: Time at which the task execution began running.
          format: date-time
          type: string
        task_type:
          description: A predefined yet extensible Task type identifier.
          type: string
        updated_at:
          description: Time at which the task execution was last updated.
          format: date-time
          type: string
      type: object
    coreTaskExecutionIdentifier:
      description: Encapsulation of fields that identify a Flyte task execution entity.
      properties:
        node_execution_id:
          $ref: '#/components/schemas/coreNodeExecutionIdentifier'
        retry_attempt:
          format: int64
          type: integer
        task_id:
          $ref: '#/components/schemas/coreIdentifier'
      type: object
    coreExecutionError:
      description: Represents the error message from the execution.
      properties:
        code:
          title: |-
            Error code indicates a grouping of a type of error.
            More Info: <Link>
          type: string
        error_uri:
          title: Full error contents accessible via a URI
          type: string
        kind:
          $ref: '#/components/schemas/ExecutionErrorErrorKind'
        message:
          description: Detailed description of the error - including stack trace.
          type: string
        timestamp:
          format: date-time
          title: Timestamp of the error
          type: string
        worker:
          title: Worker that generated the error
          type: string
      type: object
    coreLogContext:
      properties:
        pods:
          items:
            $ref: '#/components/schemas/corePodLogContext'
          type: array
        primary_pod_name:
          type: string
      title: Contains metadata required to identify logs produces by a set of pods
      type: object
    coreTaskLog:
      properties:
        HideOnceFinished:
          type: boolean
        ShowWhilePending:
          type: boolean
        message_format:
          $ref: '#/components/schemas/TaskLogMessageFormat'
        name:
          type: string
        ttl:
          type: string
        uri:
          type: string
      title: >-
        Log information for the task that is specific to a log sink

        When our log story is flushed out, we may have more metadata here like
        log link expiry
      type: object
    flyteidleventTaskExecutionMetadata:
      description: >-
        Holds metadata around how a task was executed.

        As a task transitions across event phases during execution some
        attributes, such its generated name, generated external resources,

        and more may grow in size but not change necessarily based on the phase
        transition that sparked the event update.

        Metadata is a container for these attributes across the task execution
        lifecycle.
      properties:
        external_resources:
          description: >-
            Additional data on external resources on other back-ends or
            platforms (e.g. Hive, Qubole, etc) launched by this task execution.
          items:
            $ref: '#/components/schemas/eventExternalResourceInfo'
          type: array
        generated_name:
          description: Unique, generated name for this task execution used by the backend.
          type: string
        instance_class:
          $ref: '#/components/schemas/TaskExecutionMetadataInstanceClass'
        plugin_identifier:
          description: The identifier of the plugin used to execute this task.
          type: string
        resource_pool_info:
          description: >-
            Includes additional data on concurrent resource management used
            during execution..

            This is a repeated field because a plugin can request multiple
            resource allocations during execution.
          items:
            $ref: '#/components/schemas/eventResourcePoolInfo'
          type: array
      type: object
    coreLiteralMap:
      description: >-
        A map of literals. This is a workaround since oneofs in proto messages
        cannot contain a repeated field.
      properties:
        literals:
          additionalProperties:
            $ref: '#/components/schemas/coreLiteral'
          type: object
      type: object
    coreTaskExecutionPhase:
      default: UNDEFINED
      enum:
        - UNDEFINED
        - QUEUED
        - RUNNING
        - SUCCEEDED
        - ABORTED
        - FAILED
        - INITIALIZING
        - WAITING_FOR_RESOURCES
        - RETRYABLE_FAILED
      title: >-
        - INITIALIZING: To indicate cases where task is initializing, like:
        ErrImagePull, ContainerCreating, PodInitializing
         - WAITING_FOR_RESOURCES: To address cases, where underlying resource is not available: Backoff error, Resource quota exceeded
      type: string
    adminReason:
      description: >-
        Reason is a single message annotated with a timestamp to indicate the
        instant the reason occurred.
      properties:
        message:
          description: >-
            message is the explanation for the most recent phase transition or
            status update.
          type: string
        occurred_at:
          description: >-
            occurred_at is the timestamp indicating the instant that this reason
            happened.
          format: date-time
          type: string
      type: object
    coreNodeExecutionIdentifier:
      description: Encapsulation of fields that identify a Flyte node execution entity.
      properties:
        execution_id:
          $ref: '#/components/schemas/coreWorkflowExecutionIdentifier'
        node_id:
          type: string
      type: object
    coreIdentifier:
      description: Encapsulation of fields that uniquely identifies a Flyte resource.
      properties:
        domain:
          description: |-
            Name of the domain the resource belongs to.
            A domain can be considered as a subset within a specific project.
          type: string
        name:
          description: User provided value for the resource.
          type: string
        org:
          description: Optional, org key applied to the resource.
          type: string
        project:
          description: Name of the project the resource belongs to.
          type: string
        resource_type:
          $ref: '#/components/schemas/coreResourceType'
        version:
          description: Specific version of the resource.
          type: string
      type: object
    ExecutionErrorErrorKind:
      default: UNKNOWN
      enum:
        - UNKNOWN
        - USER
        - SYSTEM
      title: 'Error type: System or User'
      type: string
    corePodLogContext:
      properties:
        containers:
          items:
            $ref: '#/components/schemas/coreContainerContext'
          type: array
        init_containers:
          items:
            $ref: '#/components/schemas/coreContainerContext'
          type: array
        namespace:
          type: string
        pod_name:
          type: string
        primary_container_name:
          type: string
      title: Contains metadata required to identify logs produces by a single pod
      type: object
    TaskLogMessageFormat:
      default: UNKNOWN
      enum:
        - UNKNOWN
        - CSV
        - JSON
      type: string
    eventExternalResourceInfo:
      description: >-
        This message contains metadata about external resources produced or used
        by a specific task execution.
      properties:
        cache_status:
          $ref: '#/components/schemas/coreCatalogCacheStatus'
        custom_info:
          title: Extensible field for custom, plugin-specific info
          type: object
        external_id:
          description: >-
            Identifier for an external resource created by this task execution,
            for example Qubole query ID or presto query ids.
          type: string
        index:
          description: >-
            A unique index for the external resource with respect to all
            external resources for this task. Although the

            identifier may change between task reporting events or retries, this
            will remain the same to enable aggregating

            information from multiple reports.
          format: int64
          type: integer
        log_context:
          $ref: '#/components/schemas/coreLogContext'
        logs:
          items:
            $ref: '#/components/schemas/coreTaskLog'
          title: log information for the external resource execution
          type: array
        phase:
          $ref: '#/components/schemas/coreTaskExecutionPhase'
        retry_attempt:
          format: int64
          title: >-
            Retry attempt number for this external resource, ie., 2 for the
            second attempt
          type: integer
        workflow_node_metadata:
          $ref: '#/components/schemas/flyteidleventWorkflowNodeMetadata'
      type: object
    TaskExecutionMetadataInstanceClass:
      default: DEFAULT
      description: >-
        Includes the broad category of machine used for this specific task
        execution.

         - DEFAULT: The default instance class configured for the flyte application platform.
         - INTERRUPTIBLE: The instance class configured for interruptible tasks.
      enum:
        - DEFAULT
        - INTERRUPTIBLE
      type: string
    eventResourcePoolInfo:
      description: >-
        This message holds task execution metadata specific to resource
        allocation used to manage concurrent

        executions for a project namespace.
      properties:
        allocation_token:
          description: >-
            Unique resource ID used to identify this execution when allocating a
            token.
          type: string
        namespace:
          description: >-
            Namespace under which this task execution requested an allocation
            token.
          type: string
      type: object
    coreLiteral:
      description: >-
        A simple value. This supports any level of nesting (e.g. array of array
        of array of Blobs) as well as simple primitives.
      properties:
        collection:
          $ref: '#/components/schemas/coreLiteralCollection'
        hash:
          title: >-
            A hash representing this literal.

            This is used for caching purposes. For more details refer to RFC
            1893

            (https://github.com/flyteorg/flyte/blob/master/rfc/system/1893-caching-of-offloaded-objects.md)
          type: string
        map:
          $ref: '#/components/schemas/coreLiteralMap'
        metadata:
          additionalProperties:
            type: string
          description: Additional metadata for literals.
          type: object
        offloaded_metadata:
          $ref: '#/components/schemas/coreLiteralOffloadedMetadata'
        scalar:
          $ref: '#/components/schemas/coreScalar'
      type: object
    coreWorkflowExecutionIdentifier:
      properties:
        domain:
          description: |-
            Name of the domain the resource belongs to.
            A domain can be considered as a subset within a specific project.
          type: string
        name:
          description: User or system provided value for the resource.
          type: string
        org:
          description: Optional, org key applied to the resource.
          type: string
        project:
          description: Name of the project the resource belongs to.
          type: string
      title: >-
        Encapsulation of fields that uniquely identifies a Flyte workflow
        execution
      type: object
    coreResourceType:
      default: UNSPECIFIED
      description: >-
        Indicates a resource type within Flyte.

         - DATASET: A dataset represents an entity modeled in Flyte DataCatalog. A Dataset is also a versioned entity and can be a compilation of multiple individual objects.
        Eventually all Catalog objects should be modeled similar to Flyte
        Objects. The Dataset entities makes it possible for the UI  and CLI to
        act on the objects 

        in a similar manner to other Flyte objects
      enum:
        - UNSPECIFIED
        - TASK
        - WORKFLOW
        - LAUNCH_PLAN
        - DATASET
      type: string
    coreContainerContext:
      properties:
        container_name:
          type: string
        process:
          $ref: '#/components/schemas/ContainerContextProcessContext'
      title: >-
        Contains metadata required to identify logs produces by a single
        container
      type: object
    coreCatalogCacheStatus:
      default: CACHE_DISABLED
      description: |-
        - CACHE_DISABLED: Used to indicate that caching was disabled
         - CACHE_MISS: Used to indicate that the cache lookup resulted in no matches
         - CACHE_HIT: used to indicate that the associated artifact was a result of a previous execution
         - CACHE_POPULATED: used to indicate that the resultant artifact was added to the cache
         - CACHE_LOOKUP_FAILURE: Used to indicate that cache lookup failed because of an error
         - CACHE_PUT_FAILURE: Used to indicate that cache lookup failed because of an error
         - CACHE_SKIPPED: Used to indicate the cache lookup was skipped
         - CACHE_EVICTED: Used to indicate that the cache was evicted
      enum:
        - CACHE_DISABLED
        - CACHE_MISS
        - CACHE_HIT
        - CACHE_POPULATED
        - CACHE_LOOKUP_FAILURE
        - CACHE_PUT_FAILURE
        - CACHE_SKIPPED
        - CACHE_EVICTED
      title: >-
        Indicates the status of CatalogCaching. The reason why this is not
        embedded in TaskNodeMetadata is, that we may use for other types of
        nodes as well in the future
      type: string
    flyteidleventWorkflowNodeMetadata:
      properties:
        execution_id:
          $ref: '#/components/schemas/coreWorkflowExecutionIdentifier'
      title: >-
        For Workflow Nodes we need to send information about the workflow that's
        launched
      type: object
    coreLiteralCollection:
      description: >-
        A collection of literals. This is a workaround since oneofs in proto
        messages cannot contain a repeated field.
      properties:
        literals:
          items:
            $ref: '#/components/schemas/coreLiteral'
          type: array
      type: object
    coreLiteralOffloadedMetadata:
      description: A message that contains the metadata of the offloaded data.
      properties:
        inferred_type:
          $ref: '#/components/schemas/coreLiteralType'
        size_bytes:
          description: The size of the offloaded data.
          format: uint64
          type: string
        uri:
          description: The location of the offloaded core.Literal.
          type: string
      type: object
    coreScalar:
      properties:
        binary:
          $ref: '#/components/schemas/coreBinary'
        blob:
          $ref: '#/components/schemas/coreBlob'
        error:
          $ref: '#/components/schemas/coreError'
        generic:
          type: object
        none_type:
          $ref: '#/components/schemas/coreVoid'
        primitive:
          $ref: '#/components/schemas/corePrimitive'
        schema:
          $ref: '#/components/schemas/flyteidlcoreSchema'
        structured_dataset:
          $ref: '#/components/schemas/coreStructuredDataset'
        union:
          $ref: '#/components/schemas/coreUnion'
      type: object
    ContainerContextProcessContext:
      properties:
        container_end_time:
          format: date-time
          type: string
        container_start_time:
          format: date-time
          type: string
      title: >-
        Contains metadata required to identify logs produces by a single
        light-weight process that was run inside a container
      type: object
    coreLiteralType:
      description: Defines a strong type to allow type checking between interfaces.
      properties:
        annotation:
          $ref: '#/components/schemas/coreTypeAnnotation'
        blob:
          $ref: '#/components/schemas/coreBlobType'
        collection_type:
          $ref: '#/components/schemas/coreLiteralType'
        enum_type:
          $ref: '#/components/schemas/flyteidlcoreEnumType'
        map_value_type:
          $ref: '#/components/schemas/coreLiteralType'
        metadata:
          description: >-
            This field contains type metadata that is descriptive of the type,
            but is NOT considered in type-checking.  This might be used by

            consumers to identify special behavior or display extended
            information for the type.
          type: object
        schema:
          $ref: '#/components/schemas/coreSchemaType'
        simple:
          $ref: '#/components/schemas/coreSimpleType'
        structure:
          $ref: '#/components/schemas/coreTypeStructure'
        structured_dataset_type:
          $ref: '#/components/schemas/coreStructuredDatasetType'
        union_type:
          $ref: '#/components/schemas/coreUnionType'
      type: object
    coreBinary:
      description: >-
        A simple byte array with a tag to help different parts of the system
        communicate about what is in the byte array.

        It's strongly advisable that consumers of this type define a unique tag
        and validate the tag before parsing the data.
      properties:
        tag:
          description: >-
            The serialization format identifier (e.g., MessagePack). Consumers
            must define unique tags and validate them before deserialization.
          type: string
        value:
          description: >-
            Serialized data (MessagePack) for supported types like Dataclass,
            Pydantic BaseModel, and untyped dict.
          format: byte
          type: string
      type: object
    coreBlob:
      description: >-
        Refers to an offloaded set of files. It encapsulates the type of the
        store and a unique uri for where the data is.

        There are no restrictions on how the uri is formatted since it will
        depend on how to interact with the store.
      properties:
        metadata:
          $ref: '#/components/schemas/coreBlobMetadata'
        uri:
          type: string
      type: object
    coreError:
      description: Represents an error thrown from a node.
      properties:
        failed_node_id:
          description: The node id that threw the error.
          type: string
        message:
          description: Error message thrown.
          type: string
      type: object
    coreVoid:
      description: >-
        Used to denote a nil/null/None assignment to a scalar value. The
        underlying LiteralType for Void is intentionally

        undefined since it can be assigned to a scalar of any LiteralType.
      type: object
    corePrimitive:
      properties:
        boolean:
          type: boolean
        datetime:
          format: date-time
          type: string
        duration:
          type: string
        float_value:
          format: double
          type: number
        integer:
          format: int64
          type: string
        string_value:
          type: string
      title: Primitive Types
      type: object
    flyteidlcoreSchema:
      description: >-
        A strongly typed schema that defines the interface of data retrieved
        from the underlying storage medium.
      properties:
        type:
          $ref: '#/components/schemas/coreSchemaType'
        uri:
          type: string
      type: object
    coreStructuredDataset:
      properties:
        metadata:
          $ref: '#/components/schemas/coreStructuredDatasetMetadata'
        uri:
          title: >-
            String location uniquely identifying where the data is.

            Should start with the storage location (e.g. s3://, gs://, bq://,
            etc.)
          type: string
      type: object
    coreUnion:
      description: >-
        The runtime representation of a tagged union value. See `UnionType` for
        more details.
      properties:
        type:
          $ref: '#/components/schemas/coreLiteralType'
        value:
          $ref: '#/components/schemas/coreLiteral'
      type: object
    coreTypeAnnotation:
      description: >-
        TypeAnnotation encapsulates registration time information about a type.
        This can be used for various control-plane operations. TypeAnnotation
        will not be available at runtime when a task runs.
      properties:
        annotations:
          description: A arbitrary JSON payload to describe a type.
          type: object
      type: object
    coreBlobType:
      properties:
        dimensionality:
          $ref: '#/components/schemas/BlobTypeBlobDimensionality'
        format:
          title: |-
            Format can be a free form string understood by SDK/UI etc like
            csv, parquet etc
          type: string
      title: Defines type behavior for blob objects
      type: object
    flyteidlcoreEnumType:
      description: >-
        Enables declaring enum types, with predefined string values

        For len(values) > 0, the first value in the ordered list is regarded as
        the default value. If you wish

        To provide no defaults, make the first value as undefined.
      properties:
        values:
          description: Predefined set of enum values.
          items:
            type: string
          type: array
      type: object
    coreSchemaType:
      description: >-
        Defines schema columns and types to strongly type-validate schemas
        interoperability.
      properties:
        columns:
          description: A list of ordered columns this schema comprises of.
          items:
            $ref: '#/components/schemas/SchemaTypeSchemaColumn'
          type: array
      type: object
    coreSimpleType:
      default: NONE
      description: Define a set of simple types.
      enum:
        - NONE
        - INTEGER
        - FLOAT
        - STRING
        - BOOLEAN
        - DATETIME
        - DURATION
        - BINARY
        - ERROR
        - STRUCT
      type: string
    coreTypeStructure:
      description: |-
        Hints to improve type matching
        e.g. allows distinguishing output from custom type transformers
        even if the underlying IDL serialization matches.
      properties:
        dataclass_type:
          additionalProperties:
            $ref: '#/components/schemas/coreLiteralType'
          title: >-
            dataclass_type only exists for dataclasses.

            This is used to resolve the type of the fields of dataclass

            The key is the field name, and the value is the literal type of the
            field

            e.g. For dataclass Foo, with fields a, and a is a string

            Foo.a will be resolved as a literal type of string from
            dataclass_type
          type: object
        tag:
          title: Must exactly match for types to be castable
          type: string
      type: object
    coreStructuredDatasetType:
      properties:
        columns:
          description: A list of ordered columns this schema comprises of.
          items:
            $ref: '#/components/schemas/StructuredDatasetTypeDatasetColumn'
          type: array
        external_schema_bytes:
          description: |-
            The serialized bytes of a third-party schema library like Arrow.
            This is an optional field that will not be used for type checking.
          format: byte
          type: string
        external_schema_type:
          description: >-
            This is a string representing the type that the bytes in
            external_schema_bytes are formatted in.

            This is an optional field that will not be used for type checking.
          type: string
        format:
          description: >-
            This is the storage format, the format of the bits at rest

            parquet, feather, csv, etc.

            For two types to be compatible, the format will need to be an exact
            match.
          type: string
      type: object
    coreUnionType:
      description: >-
        Defines a tagged union type, also known as a variant (and formally as
        the sum type).


        A sum type S is defined by a sequence of types (A, B, C, ...), each
        tagged by a string tag

        A value of type S is constructed from a value of any of the variant
        types. The specific choice of type is recorded by

        storing the varaint's tag with the literal value and can be examined in
        runtime.


        Type S is typically written as

        S := Apple A | Banana B | Cantaloupe C | ...


        Notably, a nullable (optional) type is a sum type between some type X
        and the singleton type representing a null-value:

        Optional X := X | Null


        See also: https://en.wikipedia.org/wiki/Tagged_union
      properties:
        variants:
          description: Predefined set of variants in union.
          items:
            $ref: '#/components/schemas/coreLiteralType'
          type: array
      type: object
    coreBlobMetadata:
      properties:
        type:
          $ref: '#/components/schemas/coreBlobType'
      type: object
    coreStructuredDatasetMetadata:
      properties:
        structured_dataset_type:
          $ref: '#/components/schemas/coreStructuredDatasetType'
      type: object
    BlobTypeBlobDimensionality:
      default: SINGLE
      enum:
        - SINGLE
        - MULTIPART
      type: string
    SchemaTypeSchemaColumn:
      properties:
        name:
          title: A unique name -within the schema type- for the column
          type: string
        type:
          $ref: '#/components/schemas/SchemaColumnSchemaColumnType'
      type: object
    StructuredDatasetTypeDatasetColumn:
      properties:
        literal_type:
          $ref: '#/components/schemas/coreLiteralType'
        name:
          description: A unique name within the schema type for the column.
          type: string
      type: object
    SchemaColumnSchemaColumnType:
      default: INTEGER
      enum:
        - INTEGER
        - FLOAT
        - STRING
        - BOOLEAN
        - DATETIME
        - DURATION
      type: string

````

## Related topics

- [Fetch a list of NodeExecution launched by the reference TaskExecution.](/6.3/api-reference/children/fetch-a-list-of-nodeexecution-launched-by-the-reference-taskexecution.md)
- [Fetches a TaskExecution.](/6.3/api-reference/task-executions/fetches-a-taskexecution.md)
- [Fetches input and output data for a TaskExecution.](/6.3/api-reference/data/fetches-input-and-output-data-for-a-taskexecution.md)
- [Fetch a list of Execution.](/6.3/api-reference/executions/fetch-a-list-of-execution.md)
